<?php


namespace Validate;


/**
 * Class addValidate
 *
 * @package Validate
 */
class OtaValidate extends \Validate\BaseValidate
{
    protected $rule = [
        'ota_name' => 'require',
        'ota_id' => 'require',
        'offset' => 'egt:0',
        'limit' => 'elt:100',
    ];


    protected $message = [
        "ota_name" => "供应商名称不能为空",
        "ota_id" => "ota_id不能为空",
        "offset" => "偏移量不能小于0",
        "limit" => "单次不能大于100条",
    ];


    public function sceneList()
    {
        return $this->only(['offset','limit']);
    }

    public function sceneAdd()
    {
        return $this->only(['ota_name']);
    }
    public function sceneDelete()
    {
        return $this->only(['ota_id']);
    }

    public function sceneUpdate()
    {
        return $this->only(['ota_id']);
    }
    public function sceneListByIds()
    {
        return $this->only(['ota_id']);
    }
}